Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.dnd
Interface DndListener

    public interface DndListener

A listener interface for receiving notifications of various events during a drag-and-drop gesture.

Author:
  Maryanovsky Alexander

Method Summary
`void` | `onDragCancel(Draggable draggable)` Invoked when the drag-and-drop gesture has been canceled.
`void` | `onDragInto(Draggable draggable, DropTarget dropTarget)` Invoked when the `Draggable` is dragged into the specified `DropTarget`.
`void` | `onDragOut(Draggable draggable, DropTarget dropTarget)` Invoked when the `Draggable` is dragged out of the specified `DropTarget`.
`void` | `onDragStart(Draggable draggable)` Invoked when a drag-and-drop gesture starts, dragging the specified `Draggable`.
`void` | `onDrop(Draggable draggable, DropTarget dropTarget)` Invoked when the `Draggable` is dropped into the specified `DropTarget`.

Method Detail

### onDragStart

    void onDragStart(Draggable draggable)

  Invoked when a drag-and-drop gesture starts, dragging the specified `Draggable`.

### onDragInto

    void onDragInto(Draggable draggable,
                    DropTarget dropTarget)

  Invoked when the `Draggable` is dragged into the specified `DropTarget`.

### onDragOut

    void onDragOut(Draggable draggable,
                   DropTarget dropTarget)

  Invoked when the `Draggable` is dragged out of the specified `DropTarget`.

### onDrop

    void onDrop(Draggable draggable,
                DropTarget dropTarget)

  Invoked when the `Draggable` is dropped into the specified `DropTarget`. Note that the drop target can be `null` if the user performed a drag gesture but not into a valid drop target.

### onDragCancel

    void onDragCancel(Draggable draggable)

  Invoked when the drag-and-drop gesture has been canceled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD